> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Stripe collection settings for Sequence account

> Updates Stripe collection settings for the current Sequence accounts.



## OpenAPI

````yaml collections.2024-07-30.product.live PUT /stripe/collections/settings/{id}
openapi: 3.0.0
info:
  title: Collections
  description: Manage Payment Collection Settings
  version: '0.1'
servers:
  - url: https://dev.seqhq.io/api
    description: DEV
  - url: https://sandbox.sequencehq.com/api
    description: SANDBOX
  - url: https://eu.sequencehq.com/api
    description: PRODUCTION
security: []
tags: []
paths:
  /stripe/collections/settings/{id}:
    servers: []
    parameters: []
    put:
      tags:
        - Stripe Collection Settings
      summary: Update Stripe collection settings for Sequence account
      description: Updates Stripe collection settings for the current Sequence accounts.
      operationId: putStripeCollectionsSettingsById
      parameters:
        - name: id
          in: path
          description: Stripe Collection Settings ID
          required: true
          schema:
            type: string
        - name: Sequence-Version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/UpdateStripeCollectionSettingsEndpointUpdateStripeCollectionSettingsRequest
              example:
                enableAutomaticPayments: false
                autoEnableStripePayments: true
            examples:
              UpdateStripeCollectionSettingsEndpointUpdateStripeCollectionSettingsRequest:
                summary: ''
                value:
                  enableAutomaticPayments: false
                  autoEnableStripePayments: true
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StripeCollectionSettings'
                example:
                  id: 018f6b0c-7e89-7b4a-8e47-1b2e2d5a4f6c
                  sequenceAccountId: 683fe518-60c8-429f-9320-8aa7efc20bcc
                  enableAutomaticPayments: true
                  autoEnableStripePayments: false
              examples:
                StripeCollectionSettings:
                  summary: ''
                  value:
                    id: 018f6b0c-7e89-7b4a-8e47-1b2e2d5a4f6c
                    sequenceAccountId: 683fe518-60c8-429f-9320-8aa7efc20bcc
                    enableAutomaticPayments: true
                    autoEnableStripePayments: false
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    UpdateStripeCollectionSettingsEndpointUpdateStripeCollectionSettingsRequest:
      type: object
      example:
        enableAutomaticPayments: false
        autoEnableStripePayments: true
      properties:
        enableAutomaticPayments:
          type: boolean
          description: >-
            Whether to automatically collect payments by default if payment
            details are available
          example: false
        autoEnableStripePayments:
          type: boolean
          description: >-
            Whether to automatically enable Stripe payments for new billing
            schedules
          example: true
    StripeCollectionSettings:
      required:
        - autoEnableStripePayments
        - enableAutomaticPayments
        - id
        - sequenceAccountId
      type: object
      example:
        id: 018f6b0c-7e89-7b4a-8e47-1b2e2d5a4f6c
        sequenceAccountId: 683fe518-60c8-429f-9320-8aa7efc20bcc
        enableAutomaticPayments: true
        autoEnableStripePayments: false
      properties:
        id:
          type: string
          example: 018f6b0c-7e89-7b4a-8e47-1b2e2d5a4f6c
        sequenceAccountId:
          type: string
          example: 683fe518-60c8-429f-9320-8aa7efc20bcc
        enableAutomaticPayments:
          type: boolean
          description: >-
            Whether to automatically collect payments by default if payment
            details are available
          example: true
        autoEnableStripePayments:
          type: boolean
          description: >-
            Whether to automatically enable Stripe payments for new billing
            schedules
          example: false

````